/**
*	 "CBookItems"     
*	     ,    ,   
*	      ,   
*	       
*	     ,   
*	       
*	       
*/

#pragma once
#include <iostream>
#include <string>
#include <vector>
#include <fstream>

using namespace std;


class CBookItems
{
private:
	struct _BookItem
	{
		string _sFirstName;
		string _sLastName;
		string _sPhoneNumber;
	};

	vector<_BookItem> _aItems;

public:
	
	//===============================================================================
	/**
	*       
	*/
	void CreateNewItem(string sFirstName, string sLastName, string sPhoneNumber);

	//===============================================================================
	/**
	*     
	*/
	int SetNewValueToItem(string sFirstName, string sLastName, string sPhoneNumber, int nNumOfItem);

	//===============================================================================
	/**
	*    
	*/
	int GetItem(int nNumOfItem, string& sFirstName, string& sLastName, string& sPhoneNumber);

	//===============================================================================
	/**
	*     
	*/
	int GetSize();

	//===============================================================================
	/**
	*       
	*/
	int SortItems(int nSortingType);

	//===============================================================================
	/**
	*   ,     
	*/
	int FindItem(string sDesiredValue, int nSortingType, vector<int>& nNumOfDesirvedItems);

	//===============================================================================
	/**
	*    
	*/
	int SaveItems(string sNameOfFile);

	//===============================================================================
	/**
	*    
	*/
	int LoadItems(string sNameOfFile);
};