/*
*	 "CConsoleUI"       
*/

#pragma once
#include <iostream>
#include <string>
#include <vector>

#include "CBookItems.h"

using namespace std;


class CConsoleUI
{
private:
	string _sUserCommand;

	vector<string> _aUserCommandList;

	bool bExit;

	//===============================================================================
	/**
	*   
	*/
	void StartUsingUI(CBookItems& CPhoneBook);

	//===============================================================================
	/**
	*    
	*/
	void PrintPhoneBook(CBookItems& CPhoneBook);

	//===============================================================================
	/**
	*    
	*/
	void ChangeSomeItem(CBookItems& CPhoneBook);

	//===============================================================================
	/**
	*    
	*/
	void SortItems(CBookItems& CPhoneBook);

	//===============================================================================
	/**
	*    
	*/
	void FindItem(CBookItems& CPhoneBook);

	//===============================================================================
	/**
	*    
	*/
	void CreateNewItem(CBookItems& CPhoneBook);

	//===============================================================================
	/**
	*   UI
	*/
	void Help();

	//===============================================================================
	/**
	*      
	*/
	void MakeSomeAcion(CBookItems& CPhoneBook);

	//===============================================================================
	/**
	*   
	*/
	void SavePhoneBook(CBookItems& CPhoneBook);

	//===============================================================================
	/**
	*   
	*/
	void LoadPhoneBook(CBookItems& CPhoneBook);

	//===============================================================================
	/**
	* 
	*/
	void CloseProgramm();

public:

	//===============================================================================
	/**
	*  
	*/
	void SetConsoleUI(CBookItems& CPhoneBook);
};
